This is a Laravel 5 package that provides gp management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `08123912391/gp`.

    "08123912391/gp": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
08123912391\Gp\Providers\GpServiceProvider::class,

```

And also add it to alias

```php
'Gp'  => 08123912391\Gp\Facades\Gp::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="08123912391\Gp\Providers\GpServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="08123912391\Gp\Providers\GpServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="08123912391\Gp\Providers\GpServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="08123912391\Gp\Providers\GpServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="08123912391\Gp\Providers\GpServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="08123912391\Gp\Providers\GpServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


